Bug 1028904 - (CVE-2017-6596) VUL-0: CVE-2017-6596: partclone: chkimg in partclone 0.2.89 is prone to a heap-based buffer overflow vulnerability
(CVE-2017-6596)
VUL-0: CVE-2017-6596: partclone: chkimg in partclone 0.2.89 is prone to a hea...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other openSUSE 42.2
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/181547/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-10 15:02 UTC by Victor Pereira
Modified: 2017-04-24 11:39 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Pereira 2017-03-10 15:02:12 UTC
CVE-2017-6596

partclone.chkimg in partclone 0.2.89 is prone to a heap-based buffer overflow
vulnerability due to insufficient validation of the partclone image header. An
attacker may be able to launch a 'Denial of Service attack' in the context of
the user running the affected application.

References:
https://github.com/insidej/Partclone_HeapOverFlow/blob/master/README.md
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-6596
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-6596
Comment 1 Bernhard Wiedemann 2017-03-10 17:00:58 UTC
This is an autogenerated message for OBS integration:
This bug (1028904) was mentioned in
https://build.opensuse.org/request/show/478538 42.1+42.2 / partclone
Comment 2 Andreas Stieger 2017-03-19 08:44:14 UTC
accepted into openSUSE maintenance
Comment 3 Swamp Workflow Management 2017-03-27 19:09:51 UTC
openSUSE-SU-2017:0820-1: An update that fixes one vulnerability is now available.

Category: security (low)
Bug References: 1028904
CVE References: CVE-2017-6596
Sources used:
openSUSE Leap 42.2 (src):    partclone-0.3.5a-2.3.1
openSUSE Leap 42.1 (src):    partclone-0.3.5a-7.1
Comment 4 Marcus Meissner 2017-04-24 11:39:19 UTC
released